
Redmine - Defect #679

Unable to Lock User

2008-02-17 10:16 - Sven Schuchmann

Status: Closed Start date: 2008-02-17

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi,

I just tried to "lock" one of my users

(-Administration -Users -Lock) with r1160

But I receive an Internal Error.

Log says:

Processing UsersController#edit (for 10.158.151.2 at 2008-02-17 10:08:46) [POST]

  Session ID: ccb26a45b82c0c4ea9cf42111d953b8c

  Parameters: {"user"=>"status3", "action"=>"edit", "id"=>"28", "controller"=>"users"}

  ESC[4;36;1mSQL (0.000240)ESC[0m   ESC[0;1mSELECT max(updated_on) AS max_updated_on FROM settings

 ESC[0m

  ESC[4;35;1mUser Load (0.000231)ESC[0m   ESC[0mSELECT * FROM users WHERE (status = 1) AND (users.

`id` = 1) ESC[0m

  ESC[4;36;1mUser Load (0.000195)ESC[0m   ESC[0;1mSELECT * FROM users WHERE (users.`id` = 28) ESC[

0m

NoMethodError (undefined method `stringify_keys!' for "status3":String):

    /usr/lib/ruby/gems/1.8/gems/activerecord-1.15.3/lib/active_record/base.rb:1668:in `attributes=

'

    /usr/lib/ruby/gems/1.8/gems/activerecord-1.15.3/lib/active_record/base.rb:1591:in `update_attr

ibutes'

    /app/controllers/users_controller.rb:84:in `edit'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/base.rb:1095:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/base.rb:1095:in `perform_a

ction_without_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:632:in `call_fi

lter'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:638:in `call_fi

lter'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:438:in `call'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:637:in `call_fi

lter'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:638:in `call_fi

lter'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:438:in `call'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:637:in `call_fi

lter'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:638:in `call_fi

lter'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:438:in `call'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:637:in `call_fi

lter'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:638:in `call_fi

lter'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:438:in `call'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:637:in `call_fi

lter'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:619:in `perform
_action_without_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/benchmarking.rb:66:in `per

form_action_without_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/benchmarking.rb:66:in `per

form_action_without_rescue'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/rescue.rb:83:in `perform_a

ction'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/base.rb:430:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/base.rb:430:in `process_wi

thout_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/filters.rb:624:in `process

_without_session_management_support'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/session_management.rb:114:

in `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-1.13.3/lib/action_controller/base.rb:330:in `process'

    /usr/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/dispatcher.rb:41:in `dispatch'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/rails.rb:78:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/rails.rb:76:in `synchronize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/rails.rb:76:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:618:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:617:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:617:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:736:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:736:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:736:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:736:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:720:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:720:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:720:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/configurator.rb:271:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/configurator.rb:270:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/configurator.rb:270:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/bin/mongrel_rails:127:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/command.rb:211:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/bin/mongrel_rails:243

    /usr/bin/mongrel_rails:16:in `load'

    /usr/bin/mongrel_rails:16

History

#1 - 2008-02-17 12:56 - Jean-Philippe Lang

The problem is in the parameters:

Parameters: {"user"=>"status3", "action"=>"edit", "id"=>"28", "controller"=>"users"}

 This should be:

Parameters: {"user"=>{"status"=>"3"}, ...

 Which Rails version and webserver are you using ?

Parameters are sent using a similar way as when you change the status of an issue using the right-click menu on the issue list.

Does this action work for you ?

#2 - 2008-02-18 09:05 - Sven Schuchmann

You are right, the staus change via a right click on the issues list

leads to the same error.

I don't use a webserver, I start redmine via script/server.

Rails Version is 1.2.3

#3 - 2008-02-18 19:29 - Jean-Philippe Lang

I'm not able to start Redmine with this old Rails version.

Please upgrade to 1.2.6 or 2.0.2 as mentioned here.
#4 - 2008-02-19 18:57 - Sven Schuchmann

I upgraded to Rails 1.2.5 and with this version it works :-)

You can close the ticket!

#5 - 2008-02-19 19:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

OK, thanks.
